Package org.globus.gsi.gssapi.auth

# Class Authorization

java.lang.Object
org.globus.gsi.gssapi.auth.Authorization

Direct Known Subclasses:
  `GSSAuthorization`, `MyProxyServerAuthorization`

public abstract class Authorization extends Object
Interface for authorization mechanisms. The authorization is performed once the connection was authenticated.

## Constructor Summary

Constructors
Constructor
Description
`Authorization()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`authorize(GSSContext context, String host)`
Performes authorization checks.
`protected void`
`generateAuthorizationException(GSSName expected, GSSName target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Authorization

public Authorization()

## Method Details

### authorize

public abstract void authorize(GSSContext context, String host) throws AuthorizationException
Performes authorization checks. Throws `AuthorizationException` if the authorization fails. Otherwise, the function completes normally.

Parameters:
  `context` - the securit context
  `host` - host address of the peer.
Throws:
  `AuthorizationException` - if the peer is not authorized to access/use the resource.

### generateAuthorizationException

protected void generateAuthorizationException(GSSName expected, GSSName target) throws AuthorizationException

Throws:
  `AuthorizationException`